BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define bname           mina

Summary:        A Multipurpose Infrastrusture for Network Applications
Name:           mina-jdk14
Version:        0.8.0
Release:        alt1_2jpp1.7
Epoch:          0
Group:          Development/Java
License:        Apache 2.0 License
URL:            http://directory.apache.org/subprojects/network/mina/
BuildArch:      noarch
Source0:        %{bname}-%{version}-src.tar.gz
# svn export -r 359572 https://svn.apache.org/repos/asf/directory/network/tags/release-0.8.0 release-0.8.0
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        %{name}-%{version}-jpp-depmap.xml
Patch0:         %{name}-%{version}-project_xml.patch
Patch1:         %{name}-%{version}-maven_xml.patch

Patch2:         %{name}-%{version}-echoserver_Main.patch
Patch3:         %{name}-%{version}-httpserver_Main.patch
Patch4:         %{name}-%{version}-echoserver_AcceptorTest.patch
Patch5:         %{name}-%{version}-echoserver_ConnectorTest.patch

BuildRequires: java-1.4.2
BuildRequires: maven-plugins => 0:1.1
BuildRequires: saxon
BuildRequires: saxon-scripts
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: junit
BuildRequires: jakarta-commons-net
BuildRequires: emma
BuildRequires: emma-maven-plugin
BuildRequires: slf4j >= 0:1.4.2
Requires: slf4j >= 0:1.4.2

%description
MINA (Multipurpose Infrastructure for Network Applications) is a
network application framework which helps users develop high
performance and high scalability network applications easily.

THIS RELEASE DOESN'T PROVIDE SSL SUPPORT.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%prep
%setup -q -n %{bname}-%{version}

for f in $(find src -name "*.java" -exec grep -l SSLEngine {} \;); do
    mv $f $f.no
done

%patch0 -b .sav
%patch1 -b .sav

%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav

%build
export DEPCAT=$(pwd)/%{name}-%{version}-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > %{name}-%{version}-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

export JAVA_HOME=%{_jvmdir}/java-1.4.2
mkdir .maven

mkdir -p .maven/repository/JPP/plugins/
ln -s /usr/share/java/maven-plugins/maven-emma-plugin.jar .maven/repository/JPP/plugins/
maven \
    -Dmaven.repo.remote=file:/usr/share/maven/repository \
    -Dmaven.home.local=$(pwd)/.maven \
    jar:jar javadoc:generate xdoc:transform

%install

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

uvjar=$(echo %{name}-%{version}.jar | sed s+-%{version}++g)
install -m 644 target/%{bname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
   ln -fs %{name}-%{version}.jar $uvjar
popd

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/examples
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
cp -pr target/docs/apidocs-examples/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/examples
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/docs/apidocs*

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}

%changelog
* Sat Nov 24 2007 Igor Vlasenko <viy@altlinux.ru> 0:0.8.0-alt1_2jpp1.7
- converted from JPackage by jppimport script

